=== debian/changelog ===
vdr-plugin-live (3.5.0-1) unstable; urgency=medium

  * New upstream version 3.5.0
  * restore original .po files for clean target

 -- Christoph Martin <chrism@debian.org>  Tue, 22 Apr 2025 13:08:31 +0200
