=== debian/changelog ===
vdr-plugin-live (3.5.2-1) unstable; urgency=medium

  * New upstream version 3.5.2

 -- Christoph Martin <chrism@debian.org>  Thu, 30 Oct 2025 22:08:58 +0100
