=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

PLG_PACKAGE = $(filter-out %-dbg, $(shell dh_listpackages))
DBG_PACKAGE = $(filter %-dbg, $(shell dh_listpackages))

%:
	dh $@ --with vdrplugin

override_dh_auto_build:
	[ -d po.backup ] || cp -r po po.backup
	dh_auto_build

override_dh_auto_install:
	dh_auto_install --destdir=debian/$(PLG_PACKAGE)

override_dh_strip:
	dh_strip --dbgsym-migration='vdr-plugin-live-dbg (<< 2.3.1-2~)'

override_dh_auto_clean:
	dh_auto_clean
	if [ -d po.backup ] ; then rm -rf po; mv po.backup po; fi

get-vcs-snapshot:
	sh debian/get-vcs-snapshot.sh
