## vdr-plugin-live 3.5.3

=== debian/changelog ===
vdr-plugin-live (3.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 14 Feb 2026 18:40:24 +0100
