=== debian/control ===
Source: vdr-plugin-live
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders:
 Tobias Grimm <etobi@debian.org>,
 Thorsten Alteholz <debian@alteholz.de>,
 Christoph Martin <chrism@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 gettext,
 libcxxtools-dev (>= 1.4.3.6-1.1),
 libpcre2-dev,
 libssl-dev,
 libtntnet-dev (>= 1.6.0.1-1.1),
 pkgconf,
 vdr-dev (>= 2.6.0),
Standards-Version: 4.7.0
Homepage: https://github.com/MarkusEh/vdr-plugin-live
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-live.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-live

Package: vdr-plugin-live
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${vdr:Depends},
Description: Web administration plugin for VDR
 Live, the "Live Interactive VDR Environment", is a plugin providing the
 possibility to interactively control the Linux Video Disc Recorder VDR and
 some of it's plugins from a web interface.
 .
 Unlike external programs, like the VDR web frontend "VDRAdmin-AM", that
 communicate  with VDR via its SVDRP socket interface, Live has direct
 access to VDR's data structures and thus is very fast.
