=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/vdr-plugin-live-$1\.tar\.gz/ \
  https://github.com/MarkusEh/vdr-plugin-live/tags .*/v?(\d\S+)\.tar\.gz debian uupdate
